:root {
  --green: #477a5e;
  --disabled-green: #75857c;
  --white: #ffffff;
  --grey: #c7c7c7;
}

* {
  font-family: 'Roboto', sans-serif;
  box-sizing: border-box;

  margin: 0;
  border: 0;
  padding: 0;
}

@media screen and (max-width: 1280px) {
  html {
    font-size: 87.5%;
  }
}

@media screen and (max-width: 1080px) {
  html {
    font-size: 75%;
  }
}

@media screen and (max-width: 960px) {
  html {
    font-size: 62.5%;
  }
}

@media screen and (max-width: 768px) {
  html {
    font-size: 50%;
  }
}

html {
  height: 100vh;
}

main {
  width: 100%;
  margin-top: 25%;
}

.green_banner {
  background-color: var(--green);
  color: var(--white);

  width: 100%;
  height: fit-content;

  display: grid;
  grid-template:
    'simulator image'
    'message image';
  grid-template-columns: 50% 50%;

  padding-left: 5em;
  padding-right: 5em;

  transition: height 2s ease;
}

.simulator {
  grid-area: simulator;
  margin-top: 5em;
  margin-right: 5em;

  align-self: center;
}

h1.banner_header {
  font-family: 'Merriweather', serif;
  font-size: 2.5em;
}

p.banner_header {
  opacity: 0.75;
  font-size: 1.25em;

  margin-bottom: 10px;
}

label {
  font-size: 1em;
}

input {
  display: block;
  line-height: 2em;
  font-size: 1em;

  padding-left: 5px;
  margin-top: 5px;

  border-radius: 3px;
  width: 12.5em;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

input[type='number'] {
  -moz-appearance: textfield;
}

.simulator_input {
  display: grid;

  grid-template:
    'col1row1 col2row1'
    'col1row2 col2row2';

  row-gap: 1.25em;

  width: 90%;

  margin-top: 30px;
}

#detector {
  width: 60%;
  margin-top: -25%;
  margin-bottom: -25%;
  grid-area: image;
  justify-self: flex-end;
}

button {
  background-color: var(--white);
  color: var(--green);
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  border-color: transparent;
  border-radius: 55px;
  border: 1px solid transparent;

  padding: 6px 30px;
  margin-top: 35px;
  margin-right: 30px;

  font-family: 'Merriweather', serif;
  font-weight: 600;
  font-size: 1em;

  cursor: pointer;

  transition: color 0.3s, background-color 0.3s;
}

button#simulateButton:hover {
  color: var(--white);
  background-color: #181818;
}

button#simulateButton:disabled {
  background-color: var(--grey);
  color: var(--disabled-green);
}

button#resetButton {
  color: var(--white);
  background-color: var(--green);

  transition: text-decoration 0.5s;
}

button#resetButton:hover {
  text-decoration: underline;
}

#message_container {
  grid-area: message;
  height: fit-content;
  transition: height 2s ease;
  margin-bottom: 3.85em;

  display: flex;
  flex-direction: column;
  justify-content: center;
}

.paragraph-message {
  font-size: 1em;

  margin-bottom: 1em;
  opacity: 1;

  padding-left: 1.5em;
  list-style: none;
}

.threat-level-image {
  opacity: 1;
  width: 3%;

  vertical-align: middle;
  margin-right: 5px;

  filter: invert();
}

.message_header {
  margin: 1em 0 0.5em;
}

.message_component {
  transition: opacity 0.75s ease;
}

/* .message-danger {
  color: #eb4034;
} */

@media screen and (max-width: 768px) {
  .green_banner {
    padding: 2em 0;
    height: fit-content;

    display: grid;
    grid-template:
      'simulator'
      'message'
      'image';

    align-items: center;
  }
  .simulator {
    margin: 1em auto;
    text-align: center;
  }
  .simulator_input {
    margin: 0 auto;
  }

  .simulator_input input {
    margin: 5px auto;
  }

  button {
    margin-top: 1em;
    margin-right: 5%;
  }

  #resetButton {
    border: 1px solid rgba(250, 250, 250, 0.7);
  }

  #message_container {
    width: 80%;
    margin: 0 auto;
  }

  #detector {
    width: 25%;

    margin: 1em 0;
    grid-area: image;
    justify-self: center;
  }
}
